VERSION 5.00
Begin VB.Form frmControlPanel 
   BorderStyle     =   3  'Fester Dialog
   Caption         =   "Control Panel"
   ClientHeight    =   1575
   ClientLeft      =   3645
   ClientTop       =   2055
   ClientWidth     =   4425
   Icon            =   "frmControlPanel.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'ZReihenfolge
   ScaleHeight     =   1575
   ScaleWidth      =   4425
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton cmdClose 
      Cancel          =   -1  'True
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   3630
      TabIndex        =   6
      Top             =   1050
      Width           =   735
   End
   Begin VB.CommandButton cmdReset 
      Caption         =   "Reset"
      Height          =   375
      Left            =   2610
      TabIndex        =   5
      Top             =   1050
      Width           =   735
   End
   Begin VB.Frame Frame2 
      Caption         =   "Speed"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   735
      Left            =   60
      TabIndex        =   1
      Top             =   30
      Width           =   4335
      Begin VB.HScrollBar hsbSpeed 
         Height          =   255
         LargeChange     =   50
         Left            =   120
         Max             =   1000
         Min             =   1
         TabIndex        =   3
         Top             =   330
         Value           =   1
         Width           =   1695
      End
      Begin VB.Label lblSpeed 
         Alignment       =   2  'Zentriert
         Height          =   255
         Left            =   1920
         TabIndex        =   4
         Top             =   345
         Width           =   2295
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Color"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   735
      Left            =   60
      TabIndex        =   0
      Top             =   810
      Width           =   2415
      Begin VB.ComboBox cboColor 
         Height          =   315
         ItemData        =   "frmControlPanel.frx":1272
         Left            =   120
         List            =   "frmControlPanel.frx":1299
         Style           =   2  'Dropdown-Liste
         TabIndex        =   2
         Top             =   285
         Width           =   1695
      End
      Begin VB.Image imgColor 
         Height          =   480
         Left            =   1965
         Top             =   315
         Width           =   480
      End
   End
End
Attribute VB_Name = "frmControlPanel"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim ordRestoreColor As Integer
Dim ordRestoreSpeed As Integer

Sub InitColor()
    cboColor.ListIndex = (frmMain.ordColor / 100) - 1
End Sub

Sub InitSpeed()
    hsbSpeed.Value = (1001 - frmMain.tmrAnimation.Interval)
End Sub


Sub UpdateColor()
    imgColor.Picture = LoadResPicture(cboColor.ItemData(cboColor.ListIndex) + 50, vbResIcon)
    frmMain.ordColor = cboColor.ItemData(cboColor.ListIndex)
End Sub

Sub UpdateSpeed()
    frmMain.tmrAnimation.Interval = Abs(hsbSpeed.Value - 1001)
    
    'Update description
    Select Case frmMain.tmrAnimation.Interval
        Case 1 To 142
            lblSpeed.Caption = "Lightspeed"
        Case 143 To 285
            lblSpeed.Caption = "Very Fast"
        Case 286 To 428
            lblSpeed.Caption = "Fast"
        Case 429 To 571
            lblSpeed.Caption = "Normal"
        Case 572 To 714
            lblSpeed.Caption = "Slow"
        Case 715 To 857
            lblSpeed.Caption = "Very slow"
        Case 858 To 1000
            lblSpeed.Caption = "Turtle"
    End Select
End Sub


Private Sub cboColor_Click()
    UpdateColor
End Sub


Private Sub cmdClose_Click()
    Unload frmControlPanel
End Sub

Private Sub cmdReset_Click()
    frmMain.ordColor = ordRestoreColor
    frmMain.tmrAnimation.Interval = ordRestoreSpeed
    InitSpeed
    UpdateSpeed
    InitColor
    UpdateColor
End Sub


Private Sub Form_Load()
    'Save speed and color values for use by Reset button
    ordRestoreColor = frmMain.ordColor
    ordRestoreSpeed = frmMain.tmrAnimation.Interval
    
    'Put dialog in the lower right corner of the screen
    frmControlPanel.Left = Screen.Width - frmControlPanel.Width
    frmControlPanel.Top = Screen.Height - frmControlPanel.Height - 500
    
    'Initialize color display
    InitColor
    UpdateColor
    
    'Initialize speed display
    InitSpeed
    UpdateSpeed
End Sub


Private Sub hsbSpeed_Change()
    UpdateSpeed
End Sub


