VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "Lava Lamp"
   ClientHeight    =   840
   ClientLeft      =   1245
   ClientTop       =   1875
   ClientWidth     =   1710
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "FMain"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'ZReihenfolge
   ScaleHeight     =   840
   ScaleWidth      =   1710
   Visible         =   0   'False
   Begin VB.Timer tmrAnimation 
      Interval        =   150
      Left            =   120
      Top             =   120
   End
   Begin VB.PictureBox picHook 
      Height          =   555
      Left            =   720
      ScaleHeight     =   495
      ScaleWidth      =   795
      TabIndex        =   0
      Top             =   120
      Width           =   855
   End
   Begin VB.Menu mnuPopup 
      Caption         =   "Popup"
      Begin VB.Menu mnuPopupControlPanel 
         Caption         =   "Control Panel"
      End
      Begin VB.Menu mnuPopupAboutLavalamp 
         Caption         =   "About Lava Lamp"
      End
      Begin VB.Menu mnuSeparator 
         Caption         =   "-"
      End
      Begin VB.Menu mnuPopupQuit 
         Caption         =   "Quit"
         Index           =   0
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Type NOTIFYICONDATA
    cbSize As Long
    hWnd As Long
    uId As Long
    uFlags As Long
    ucallbackMessage As Long
    hIcon As Long
    szTip As String * 64
End Type

Private Const NIM_ADD = &H0
Private Const NIM_MODIFY = &H1
Private Const NIM_DELETE = &H2
Private Const WM_MOUSEMOVE = &H200
Private Const NIF_MESSAGE = &H1
Private Const NIF_ICON = &H2
Private Const NIF_TIP = &H4

Private Const WM_LBUTTONDBLCLK = &H203
Private Const WM_LBUTTONDOWN = &H201
Private Const WM_LBUTTONUP = &H202
Private Const WM_RBUTTONDBLCLK = &H206
Private Const WM_RBUTTONDOWN = &H204
Private Const WM_RBUTTONUP = &H205

Private Declare Function Shell_NotifyIcon Lib "shell32" Alias "Shell_NotifyIconA" (ByVal dwMessage As Long, pnid As NOTIFYICONDATA) As Boolean
Dim t As NOTIFYICONDATA

Dim PicCount As Integer
Public ordColor As Integer


Private Sub Form_Load()
    'Initialize variables
    PicCount = 0
    ordColor = GetSetting("Lava Lamp", "Settings", "Color", 300)
    frmMain.tmrAnimation.Interval = GetSetting("Lava Lamp", "Settings", "Speed", 150)
    
    'Set up task bar hook and initialize with the first image in the
    ' animation sequence
    t.cbSize = Len(t)
    t.hWnd = picHook.hWnd
    t.uId = 1&
    t.uFlags = NIF_ICON Or NIF_TIP Or NIF_MESSAGE
    t.ucallbackMessage = WM_MOUSEMOVE
    picHook.Picture = LoadResPicture(ordColor, vbResIcon)
    t.hIcon = picHook.Picture
    t.szTip = "Lava Lamp" & Chr$(0)
    Shell_NotifyIcon NIM_ADD, t
    
    'Hide the form
    Me.Hide
    
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    t.cbSize = Len(t)
    t.hWnd = picHook.hWnd
    t.uId = 1&
  
    'Save settings
    SaveSetting "Lava Lamp", "Settings", "Color", frmMain.ordColor
    SaveSetting "Lava Lamp", "Settings", "Speed", frmMain.tmrAnimation.Interval
    Call Shell_NotifyIcon(NIM_DELETE, t)
    End
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Call Shell_NotifyIcon(NIM_DELETE, t)
End Sub

Private Sub mnuPopupAboutLavalamp_Click()
    frmAbout.Show
End Sub

Private Sub mnuPopupControlPanel_Click()
    frmControlPanel.Show
End Sub

Private Sub mnuPopupQuit_Click(Index As Integer)
    End
End Sub

Private Sub picHook_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Static rec As Boolean, msg As Long
    msg = X / Screen.TwipsPerPixelX
    If rec = False Then
        rec = True
        Select Case msg
            Case WM_LBUTTONDBLCLK:
                frmControlPanel.Show
            Case WM_LBUTTONDOWN:
            Case WM_LBUTTONUP:
            Case WM_RBUTTONDBLCLK:
            Case WM_RBUTTONDOWN:
            Case WM_RBUTTONUP:
                Me.PopupMenu mnuPopup, vbPopupMenuRightButton
        End Select
        rec = False
    End If
End Sub

Private Sub tmrAnimation_Timer()
    PicCount = PicCount + 1
    If PicCount = 22 Then PicCount = 0
    picHook.Picture = LoadResPicture((ordColor + PicCount), vbResIcon)
    
    t.hIcon = picHook.Picture
    Shell_NotifyIcon NIM_MODIFY, t
End Sub


